Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit
Class InfobitConfiguration

    java.lang.Object
      |
      +--com.infodesire.infobit.InfobitConfiguration

public class InfobitConfiguration
extends java.lang.Object

configuration manager for infobit pools. can provide pools by name

Version:
  $Revision: 1.3 $
Author:
  konstantin

Constructor Summary
`InfobitConfiguration()` Constructor for the InfobitManager object
`InfobitConfiguration(java.lang.String file)` Constructor for the InfobitManager object

Method Summary
`void` | `addPool(InfobitPool pool)` Adds a feature to the Pool attribute of the InfobitManager object
`static InfobitConfiguration` | `getInstance()` Gets the Instance attribute of the InfobitManager class
`InfobitPool` | `getPool(java.lang.String name)` Gets the Pool attribute of the InfobitManager object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfobitConfiguration

    public InfobitConfiguration()

  Constructor for the InfobitManager object

### InfobitConfiguration

    public InfobitConfiguration(java.lang.String file)

  Constructor for the InfobitManager object

Parameters:
  `file` - Description of Parameter

Method Detail

### getInstance

    public static InfobitConfiguration getInstance()

  Gets the Instance attribute of the InfobitManager class

  Returns:
    The Instance value

### getPool

    public InfobitPool getPool(java.lang.String name)

  Gets the Pool attribute of the InfobitManager object

  Parameters:
    `name` - Description of Parameter
  Returns:
    The Pool value

### addPool

    public void addPool(InfobitPool pool)

  Adds a feature to the Pool attribute of the InfobitManager object

  Parameters:
    `pool` - The feature to be added to the Pool attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.